<?php
function medical_coach_premium_setting( $wp_customize ) {
	
	/*=========================================
	Page Layout Settings Section
	=========================================*/
	$wp_customize->add_section(
        'medical_coach_upgrade_premium',
        array(
            'title' 		=> __('Upgrade to Pro','medical-coach'),
			'priority'      => 1,
		)
    );
	
	/*=========================================
	Add Buttons
	=========================================*/
	
	class Medical_Coach_WP_Button_Customize_Control extends WP_Customize_Control {
	public $type = 'medical_coach_upgrade_premium';

function render_content() {
		?>
			<div class="premium_info">
				<ul>
					<li><a class="upgrade-to-pro" href="<?php echo esc_url( MEDICAL_COACH_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Upgrade to Pro','medical-coach' ); ?> </a></li>
				</ul>
			</div>
			<div class="premium_info">
				<ul>
					<li><a class="upgrade-to-pro" href="<?php echo esc_url( MEDICAL_COACH_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo','medical-coach' ); ?></a></li>
				</ul>
			</div>
			<div class="premium_info">
				<ul>
					<li><a class="upgrade-to-pro" href="<?php echo esc_url( MEDICAL_COACH_DOCS_FREE ); ?>" target="_blank"><?php esc_html_e( 'Free Documentation','medical-coach' ); ?> </a></li>
				</ul>
			</div>
			<div class="premium_info discount-box">
				<ul>
					<li class="discount-text"><?php esc_html_e( 'Special Discount of 35% Use Code “winter35”','medical-coach' ); ?></li>
					<li><a class="upgrade-to-pro" href="<?php echo esc_url( MEDICAL_COACH_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Wordpress Theme Bundle','medical-coach' ); ?> </a></li>
				</ul>
			</div>
		<?php
	   }
	}
	
	$wp_customize->add_setting('medical_coach_premium_info_buttons', array(
	   'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'medical_coach_sanitize_text',
	));
		
	$wp_customize->add_control( new Medical_Coach_WP_Button_Customize_Control( $wp_customize, 'medical_coach_premium_info_buttons', array(
		'section' => 'medical_coach_upgrade_premium',
    ))
);
}
add_action( 'customize_register', 'medical_coach_premium_setting' );