<?php
/**
 * medical-coach Theme Customizer.
 *
 * @package medical-coach
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function medical_coach_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
	$wp_customize->get_setting('custom_logo')->transport = 'refresh';	
}
add_action( 'customize_register', 'medical_coach_customize_register' );

if ( ! defined( 'MEDICAL_COACH_BUY_NOW_1' ) ) {
define('MEDICAL_COACH_BUY_NOW_1',__('https://www.mishkatwp.com/themes/medical-coach-wordpress-theme/','medical-coach'));
}

if ( class_exists("Kirki")){

	/* Logo */

	/* Logo Size limit Option End */
	new \Kirki\Field\Slider(
		[
			'settings'    => 'medical_coach_logo_resizer_setting',
			'label'       => esc_html__( 'Logo Size Limit', 'medical-coach' ),
			'section'     => 'title_tagline',
			'default'     => 70,
			'choices'     => [
				'min'  => 10,
				'max'  => 300,
				'step' => 10,
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_site_title_setting',
			'label'       => esc_html__( 'Site Title On / Off', 'medical-coach' ),
			'section'     => 'title_tagline',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_tagline_setting',
			'label'       => esc_html__( 'Tagline On / Off', 'medical-coach' ),
			'section'     => 'title_tagline',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Logo End */

	/* Social Icon */

	new \Kirki\Section(
		'medical_coach_top_header_section',
		[
			'title'       => esc_html__( 'Header Social Icon', 'medical-coach' ),
			'description' => esc_html__( 'Here you can add social links.', 'medical-coach' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'medical_coach_top_twitter_link',
			'label'    => esc_html__( 'Add Twitter Link', 'medical-coach' ),
			'section'  => 'medical_coach_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'medical_coach_top_linkdin_link',
			'label'    => esc_html__( 'Add Linkdin Link', 'medical-coach' ),
			'section'  => 'medical_coach_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'medical_coach_top_youtube_link',
			'label'    => esc_html__( 'Add Youtube Link', 'medical-coach' ),
			'section'  => 'medical_coach_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'medical_coach_top_facebook_link',
			'label'    => esc_html__( 'Add Facebook Link', 'medical-coach' ),
			'section'  => 'medical_coach_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'medical_coach_top_instagram_link',
			'label'    => esc_html__( 'Add Instagram Link', 'medical-coach' ),
			'section'  => 'medical_coach_top_header_section',
			'default'  => '',
			'priority' => 10,
		]
	);

    //Home page Setting Panel
	new \Kirki\Panel(
		'medical_coach_home_page_section',
		[
			'priority'    => 10,
			'title'       => esc_html__( 'Home Page Sections', 'medical-coach' ),
			'priority'    => 20,
		]
	);

	/* Header */

	new \Kirki\Section(
		'medical_coach_header_button_section',
		[
			'title'       => esc_html__( 'Header', 'medical-coach' ),
			'description' => esc_html__( 'Here you can add header button text and link.', 'medical-coach' ),
			'panel'		  => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_announcement_text',
			'label'    => esc_html__( 'Add Announcement Text', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_phone_number',
			'label'    => esc_html__( 'Add Phone Number', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_clock_time',
			'label'    => esc_html__( 'Add Opening Day & Time', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_clock_closed',
			'label'    => esc_html__( 'Add Sunday Opening Time', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_location_text',
			'label'    => esc_html__( 'Add Address', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_location_ectra_text',
			'label'    => esc_html__( 'Add City & Country Name', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);
	
	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_header_appointment_text',
			'label'    => esc_html__( 'Add Appointment Text', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	new \Kirki\Field\URL(
		[
			'settings' => 'medical_coach_header_appointment_link',
			'label'    => esc_html__( 'Add Appointment Link', 'medical-coach' ),
			'section'  => 'medical_coach_header_button_section',
			'default'  => '',
			'priority' => 10,
		]
	);

	/* Home Slider */

	new \Kirki\Section(
		'medical_coach_home_slider_section',
		[
			'title'       => esc_html__( 'Home Slider', 'medical-coach' ),
			'description' => esc_html__( 'Here you can add slider image, title and text.', 'medical-coach' ),
			'panel'		  => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_slide_on_off',
			'label'       => esc_html__( 'Slider On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_home_slider_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'medical_coach_slide_count',
			'label'    => esc_html__( 'Slider Number Control', 'medical-coach' ),
			'section'  => 'medical_coach_home_slider_section',
			'default'  => '',
			'choices'  => [
				'min'  => 1,
				'max'  => 3,
				'step' => 1,
			],
		]
	);

	$medical_coach_slide_count = get_theme_mod('medical_coach_slide_count');

	for ($i=1; $i <= $medical_coach_slide_count; $i++) { 
		
		new \Kirki\Field\Image(
			[
				'settings'    => 'medical_coach_slider_image'.$i,
				'label'       => esc_html__( 'Slider Image 0', 'medical-coach' ).$i,
				'section'     => 'medical_coach_home_slider_section',
				'default'     => '',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_slider_short_heading'.$i,
				'label'    => esc_html__( 'Short Heading 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_slider_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_slider_heading'.$i,
				'label'    => esc_html__( 'Main Heading 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_slider_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_button_text'.$i,
				'label'    => esc_html__( 'Button Text 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_slider_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'medical_coach_button_link'.$i,
				'label'    => esc_html__( 'Button Url 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_slider_section',
				'default'  => '',
			]
		);
	}

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Slides', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_home_slider_section',
    ] );

	/* Home Features */

	new \Kirki\Section(
		'medical_coach_home_features_section',
		[
			'title'       => esc_html__( 'Home Features', 'medical-coach' ),
			'description' => esc_html__( 'Here you can add features icon and title.', 'medical-coach' ),
			'panel'		  => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_features_on_off',
			'label'       => esc_html__( 'Features On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_home_features_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_features_title',
			'label'    => esc_html__( 'Main Title', 'medical-coach' ),
			'section'  => 'medical_coach_home_features_section',
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_features_sub_title',
			'label'    => esc_html__( 'Sub Title', 'medical-coach' ),
			'section'  => 'medical_coach_home_features_section',
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'medical_coach_features_count',
			'label'    => esc_html__( 'Features Number Control', 'medical-coach' ),
			'section'  => 'medical_coach_home_features_section',
			'default'  => '',
			'choices'  => [
				'min'  => 0,
				'max'  => 8,
				'step' => 1,
			],
		]
	);

	$medical_coach_features_count = get_theme_mod('medical_coach_features_count');

	for ($i=1; $i <= $medical_coach_features_count; $i++) { 
		
		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_features_icon'.$i,
				'label'    => esc_html__( 'Icon 0', 'medical-coach' ).$i,
				'description' => esc_html__( 'Click on the link to select icon https://icons.getbootstrap.com/', 'medical-coach' ),
				'section'  => 'medical_coach_home_features_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_features_heading'.$i,
				'label'    => esc_html__( 'Main Heading 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_features_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_features_content'.$i,
				'label'    => esc_html__( 'Main Content 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_features_section',
			]
		);

		new \Kirki\Field\Text(
			[
				'settings' => 'medical_coach_features_btn_text'.$i,
				'label'    => esc_html__( 'Button Text 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_features_section',
			]
		);

		new \Kirki\Field\URL(
			[
				'settings' => 'medical_coach_features_btn_link'.$i,
				'label'    => esc_html__( 'Button Url 0', 'medical-coach' ).$i,
				'section'  => 'medical_coach_home_features_section',
				'default'  => '',
			]
		);
		
	}

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Buy Our Premium Theme For More Features', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_home_features_section',
    ] );

	 /* Pro appointment */

    new \Kirki\Section(
		'medical_coach_appointment_section',
		[
			'title'       => esc_html__( 'Appointment Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_appointment_section',
        'description' => __( '<p>a. Add Appointment Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Appointment Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro appointment end */

   	/* Pro choose */

    new \Kirki\Section(
		'medical_coach_choose_section',
		[
			'title'       => esc_html__( 'Why Choose Us Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_choose_section',
        'description' => __( '<p>a. Add more Details Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Why Choose Us Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro statistics end */

    new \Kirki\Section(
		'medical_coach_statistics_section',
		[
			'title'       => esc_html__( 'Statistics Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_statistics_section',
        'description' => __( '<p>a. Add more Statistics Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Statistics Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro statistics end */

    /* Pro services start */

    new \Kirki\Section(
		'medical_coach_services_section',
		[
			'title'       => esc_html__( 'Services Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_services_section',
        'description' => __( '<p>a. Add more Services Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Services Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro services end */

    /* Pro team start */

    new \Kirki\Section(
		'medical_coach_team_section',
		[
			'title'       => esc_html__( 'Team Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_team_section',
        'description' => __( '<p>a. Add more Team Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Team Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro team end */

     /* Pro award start */

    new \Kirki\Section(
		'medical_coach_award_section',
		[
			'title'       => esc_html__( 'Award Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_award_section',
        'description' => __( '<p>a. Add more Award Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Award Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro award end */

     /* Pro recent news start */

    new \Kirki\Section(
		'medical_coach_recent_section',
		[
			'title'       => esc_html__( 'Recent News Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_recent_section',
        'description' => __( '<p>a. Add more News Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For News Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro recent news end */

     /* Pro faq start */

    new \Kirki\Section(
		'medical_coach_faq_section',
		[
			'title'       => esc_html__( 'FAQs Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_faq_section',
        'description' => __( '<p>a. Add more FAQs Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For Project Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro faq news end */

     /* Pro location start */

    new \Kirki\Section(
		'medical_coach_location_section',
		[
			'title'       => esc_html__( 'Location Section', 'medical-coach' ),
			'panel'       => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	Kirki::add_field( 'theme_config_id', [
		'label'    => esc_html__( 'Details for the Premium Theme', 'medical-coach' ),
		'default'  => '<a class="premium_info_btn" target="_blank" href="' . esc_url( MEDICAL_COACH_BUY_NOW_1 ) . '">' . __( 'Buy Pro', 'medical-coach' ) . '</a>',
        'type'        => 'custom',
        'section'     => 'medical_coach_location_section',
        'description' => __( '<p>a. Add more FAQs Effortlessly </p><p>b. Easily change the color of specific text elements </p><p>c. Buy Our Premium Theme For FAQs Section
        	</p>', 'medical-coach' ),
    ] );

    /* Pro location news end */

	/* Footer */

	new \Kirki\Section(
		'medical_coach_footer_section',
		[
			'title'       => esc_html__( 'Footer', 'medical-coach' ),
			'panel'		  => 'medical_coach_home_page_section',
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_footer_widgets_on_off',
			'label'       => esc_html__( 'Footer Widgets On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_footer_section',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_copyright_on_off',
			'label'       => esc_html__( 'Footer Copyright On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_footer_section',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_copyright_content_text',
			'label'    => esc_html__( 'Copyright Text', 'medical-coach' ),
			'section'  => 'medical_coach_footer_section',
		]
	);

	/* Single Post Options */

	new \Kirki\Section(
		'medical_coach_single_post_options',
		[
			'title'       => esc_html__( 'Single Post Options', 'medical-coach' ),
			'priority'    => 30,
		]
	);
    
    /* Single Post Heading Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_single_post_heading_on_off',
			'label'       => esc_html__( 'Single Post Heading On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Single Post Content Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_single_post_content_on_off',
			'label'       => esc_html__( 'Single Post Content On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Single Post Meta Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_single_meta_on_off',
			'label'       => esc_html__( 'Single Post Meta On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Single Post Feature Image Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_single_post_image_on_off',
			'label'       => esc_html__( 'Single Post Feature Image On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Single Post Pagination Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_single_post_pagination_on_off',
			'label'       => esc_html__( 'Single Post Pagination On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_single_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Single Page Options */
		new \Kirki\Section(
		'medical_coach_single_page_options',
		[
			'title'       => esc_html__( 'Page Sidebar Options', 'medical-coach' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Radio(
	[
		'settings'    => 'medical_coach_single_page_sidebar_option',
		'label'       => esc_html__( 'Page Sidebar Settings', 'medical-coach' ),
		'section'     => 'medical_coach_single_page_options',
		'default'     => 'right',
		'priority'    => 10,
		'choices'     => [
			'right'   => esc_html__( 'Page With Right Sidebar', 'medical-coach' ),
			'left' => esc_html__( 'Page With Left Sidebar', 'medical-coach' ),
			'none'  => esc_html__( 'Page With No Sidebar', 'medical-coach' ),

		],
	]
);
	/* Single Page Options End*/

	/* Post Options */

	new \Kirki\Section(
		'medical_coach_post_options',
		[
			'title'       => esc_html__( 'Post Options', 'medical-coach' ),
			'priority'    => 30,
		]
	);
    
    /* Post Image Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_image_on_off',
			'label'       => esc_html__( 'Post Image On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post Heading Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_heading_on_off',
			'label'       => esc_html__( 'Post Heading On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post Content Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_content_on_off',
			'label'       => esc_html__( 'Post Content On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post Date Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_date_on_off',
			'label'       => esc_html__( 'Post Date On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post Comments Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_comment_on_off',
			'label'       => esc_html__( 'Post Comments On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post Author Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_author_on_off',
			'label'       => esc_html__( 'Post Author On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post Categories Option End */
	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_post_categories_on_off',
			'label'       => esc_html__( 'Post Categories On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* Post limit Option End */
	new \Kirki\Field\Slider(
		[
			'settings'    => 'medical_coach_post_content_limit',
			'label'       => esc_html__( 'Post Content Limit', 'medical-coach' ),
			'section'     => 'medical_coach_post_options',
			'default'     => 15,
			'choices'     => [
				'min'  => 0,
				'max'  => 50,
				'step' => 1,
			],
		]
	);

	/* Post Options End */

	/* Post Options */

	new \Kirki\Section(
		'medical_coach_post_layouts_section',
		[
			'title'       => esc_html__( 'Post Layout Options', 'medical-coach' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Radio_Image(
		[
			'settings'    => 'medical_coach_post_layout',
			'label'       => esc_html__( 'Blog Layout', 'medical-coach' ),
			'section'     => 'medical_coach_post_layouts_section',
			'default'     => 'two_column_right',
			'priority'    => 10,
			'choices'     => [
				'one_column'   => get_template_directory_uri().'/images/1column.png',
				'two_column_right' => get_template_directory_uri().'/images/right-sidebar.png',
				'two_column_left'  => get_template_directory_uri().'/images/left-sidebar.png',
				'three_column'  => get_template_directory_uri().'/images/3column.png',
				'four_column'  => get_template_directory_uri().'/images/4column.png',
				'grid_post'  => get_template_directory_uri().'/images/grid.png',
			],
		]
	);

	/* Post Options End */

	/* 404 Page */

	new \Kirki\Section(
		'medical_coach_404_page_section',
		[
			'title'       => esc_html__( '404 Page', 'medical-coach' ),
			'description' => esc_html__( 'Here you can add 404 Page information.', 'medical-coach' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_404_page_heading',
			'label'    => esc_html__( 'Add Heading', 'medical-coach' ),
			'section'  => 'medical_coach_404_page_section',
			'default'  => esc_html__( '404', 'medical-coach' ),
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_404_page_content',
			'label'    => esc_html__( 'Add Content', 'medical-coach' ),
			'section'  => 'medical_coach_404_page_section',
			'default'  => esc_html__( 'Ops! Something happened...', 'medical-coach' ),
			'priority' => 10,
		]
	);

	new \Kirki\Field\Text(
		[
			'settings' => 'medical_coach_404_page_button',
			'label'    => esc_html__( 'Add Button', 'medical-coach' ),
			'section'  => 'medical_coach_404_page_section',
			'default'  => esc_html__( 'Home', 'medical-coach' ),
			'priority' => 10,
		]
	);

	/* 404 Page End */

	/* General Options */

	new \Kirki\Section(
		'medical_coach_general_options_section',
		[
			'title'       => esc_html__( 'General Options', 'medical-coach' ),
			'priority'    => 30,
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_sticky_header_setting',
			'label'       => esc_html__( 'Show Hide Sticky Header', 'medical-coach' ),
			'section'     => 'medical_coach_general_options_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_preloader_setting',
			'label'       => esc_html__( 'Preloader On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_general_options_section',
			'default'     => 'off',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	new \Kirki\Field\Checkbox_Switch(
		[
			'settings'    => 'medical_coach_scroll_to_top_setting',
			'label'       => esc_html__( 'Scroll To Top On / Off', 'medical-coach' ),
			'section'     => 'medical_coach_general_options_section',
			'default'     => 'on',
			'choices'     => [
				'on'  => esc_html__( 'Enable', 'medical-coach' ),
				'off' => esc_html__( 'Disable', 'medical-coach' ),
			],
		]
	);

	/* General Options End */

}