<!-- Start: Header
============================= -->
<?php

$medical_coach_top_twitter_link = get_theme_mod('medical_coach_top_twitter_link');
$medical_coach_top_linkdin_link = get_theme_mod('medical_coach_top_linkdin_link');
$medical_coach_top_youtube_link = get_theme_mod('medical_coach_top_youtube_link');
$medical_coach_top_facebook_link = get_theme_mod('medical_coach_top_facebook_link');
$medical_coach_top_instagram_link = get_theme_mod('medical_coach_top_instagram_link');

$medical_coach_header_appointment_link = get_theme_mod('medical_coach_header_appointment_link');
$medical_coach_header_appointment_text = get_theme_mod('medical_coach_header_appointment_text');

$medical_coach_header_announcement_text = get_theme_mod('medical_coach_header_announcement_text');

$medical_coach_header_phone_number = get_theme_mod('medical_coach_header_phone_number');

$medical_coach_header_clock_time = get_theme_mod('medical_coach_header_clock_time');
$medical_coach_header_clock_closed = get_theme_mod('medical_coach_header_clock_closed');

$medical_coach_header_location_text = get_theme_mod('medical_coach_header_location_text');
$medical_coach_header_location_ectra_text = get_theme_mod('medical_coach_header_location_ectra_text');

?>

<div class="top-header">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 col-md-7 align-self-center text-center text-md-start">
				<?php if ( ! empty( $medical_coach_header_announcement_text ) ): ?>
					<p class="mb-0"><?php echo esc_html( $medical_coach_header_announcement_text ); ?></p>
				<?php endif; ?>
			</div>
			<div class="col-lg-3 col-md-3 align-self-center text-center text-md-start">
				<?php if ( ! empty( $medical_coach_header_phone_number ) ): ?>
					<span><i class="bi bi-telephone-fill me-3"></i><?php echo esc_html( $medical_coach_header_phone_number ); ?></span>
				<?php endif; ?>
			</div>
			<div class="col-lg-2 col-md-2 align-self-center text-center text-md-end">
				<div class="icons-media">
					<?php if ( ! empty( $medical_coach_top_twitter_link ) ): ?>
						<a href="<?php echo esc_url( $medical_coach_top_twitter_link ); ?>"><i class="bi bi-twitter-x me-2" aria-hidden="true"></i>
						</a>
					<?php endif; ?>
					<?php if ( ! empty( $medical_coach_top_linkdin_link ) ): ?>
						<a href="<?php echo esc_url( $medical_coach_top_linkdin_link ); ?>"><i class="bi bi-linkedin me-2" aria-hidden="true"></i>
						</a>
					<?php endif; ?>
					<?php if ( ! empty( $medical_coach_top_youtube_link ) ): ?>
						<a href="<?php echo esc_url( $medical_coach_top_youtube_link ); ?>"><i class="bi bi-youtube me-2" aria-hidden="true"></i>
						</a>
					<?php endif; ?>
					<?php if ( ! empty( $medical_coach_top_facebook_link ) ): ?>
						<a href="<?php echo esc_url( $medical_coach_top_facebook_link ); ?>"><i class="bi bi-facebook me-2" aria-hidden="true"></i>
						</a>
					<?php endif; ?>
					<?php if ( ! empty( $medical_coach_top_instagram_link ) ): ?>
						<a href="<?php echo esc_url( $medical_coach_top_instagram_link ); ?>"><i class="bi bi-instagram me-2" aria-hidden="true"></i>
						</a>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="center-header" <?php if ( get_header_image() ) { ?> style="background-image: url( <?php header_image(); ?> ); background-size: 100%;" <?php } ?>>
	<div class="container">
		<div class="row">
			<div class="col-lg-6 col-md-12 align-self-center">
				<div class="logo main">
					<?php if ( function_exists( 'medical_coach_logo_title_description' ) ) :medical_coach_logo_title_description(); endif; ?>
				</div>
			</div>
			<div class="col-lg-3 col-md-6 align-self-center mb-2 mb-md-0">
				<?php if ( ! empty( $medical_coach_header_clock_time ) || ! empty( $medical_coach_header_clock_closed ) ): ?>
					<div class="row">
						<div class="col-lg-2 col-md-2 col-3 align-self-center text-center">
							<i class="bi bi-clock"></i>
						</div>
						<div class="col-lg-10 col-md-10 col-9 align-self-center">
							<h5><?php echo esc_html( $medical_coach_header_clock_time ); ?></h5>
							<p class="mb-0"><?php echo esc_html( $medical_coach_header_clock_closed ); ?></p>
						</div>
					</div>
				<?php endif; ?>
			</div>
			<div class="col-lg-3 col-md-6 align-self-center">
				<?php if ( ! empty( $medical_coach_header_location_ectra_text ) || ! empty( $medical_coach_header_location_text ) ): ?>
					<div class="row">
						<div class="col-lg-2 col-md-2 col-3 align-self-center text-center">
							<i class="bi bi-geo-alt-fill"></i>
						</div>
						<div class="col-lg-10 col-md-10 col-9 align-self-center">
							<h5><?php echo esc_html( $medical_coach_header_location_text ); ?></h5>
							<p class="mb-0"><?php echo esc_html( $medical_coach_header_location_ectra_text ); ?></p>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<header id="header" role="banner" class="mb-2 mb-lg-0 navbar-area  <?php echo esc_attr(medical_coach_sticky_header()); ?>">
	<div class="container">
		<div class="row">
			<div class="col-lg-8 col-md-8 col-3 align-self-center">
				<div class="toggle-menu gb_menu text-start">
					<button onclick="medical_coach_navigation_open()" class="gb_toggle"><p class="mb-0"><?php esc_html_e('Menu','medical-coach'); ?></p></button>
				</div>
				<div id="gb_responsive" class="nav side_gb_nav">
					<nav id="top_gb_menu" class="gb_nav_menu" role="navigation" aria-label="<?php esc_attr_e( 'Menu', 'medical-coach' ); ?>">
						<?php 
						    wp_nav_menu( array( 
								'theme_location' => 'primary_menu',
								'container_class' => 'gb_navigation clearfix' ,
								'menu_class' => 'clearfix',
								'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav mb-0 px-0">%3$s</ul>',
								'fallback_cb' => 'wp_page_menu',
						    ) ); 
						?>
						<a href="javascript:void(0)" class="closebtn gb_menu" onclick="medical_coach_navigation_close()">x<span class="screen-reader-text"><?php esc_html_e('Close Menu','medical-coach'); ?></span></a>
					</nav>
				</div>
			</div>
			<div class="col-lg-4 col-md-4 col-9 align-self-center text-end">
				<?php if ( ! empty( $medical_coach_header_appointment_link ) || ! empty( $medical_coach_header_appointment_text ) ): ?>
					<a class="register_button" href="<?php echo esc_url( $medical_coach_header_appointment_link ); ?>">
						<?php echo esc_html( $medical_coach_header_appointment_text ); ?>
					</a>
				<?php endif; ?>
			</div>
		</div>
	</div>
</header>